Subject: [spring] Carrying additional information in DOH and SRH

From: Joel Halpern <[email-masked]>
Date: Tue, 18 Apr 2023 13:40:55 -0400

After looking at the issue of when information belongs in IPv6
destination options and when it belongs in an SRH TLV, the chairs
recommend the following:

1) Information which is generally applicable to IPv6 nodes should go
into IPv6 destination options, including the use of destination options
before routing headers for the case of IPv6 nodes that are destinations
of routing header paths.

2) Information that is specific to SRH processing should go in SRH TLVs.

3) We should not define the same information in both places.

This reflects the discussion on the list when we raised the question, 
and is now considered policy for the working group.

Yours,
Alvaro, Bruno, and Joel